Tool: create_goldengate_connection
Create a Goldengate Connection.
The following code sample shows how to use curl to call the create_goldengate_connection MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "create_goldengate_connection", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for CreateGoldengateConnection.
CreateGoldengateConnectionRequest
| JSON representation |
|---|
{
"parent": string,
"goldengateConnection": {
object ( |
| Fields | |
|---|---|
parent |
Required. The resource name of the project to create the Goldengate Connection in. Format: |
goldengateConnection |
Required. The Goldengate Connection to create. |
goldengateConnectionId |
Required. The ID to use for the Goldengate Connection that is being created. |
GoldengateConnection
| JSON representation |
|---|
{ "name": string, "displayName": string, "description": string, "connectionType": string, // Union field |
| Fields | |
|---|---|
name |
Identifier. The name of the GoldengateConnection resource in the following format: projects/{project}/locations/{region}/goldengateConnections/{goldengate_connection} |
displayName |
Required. The display name for the GoldengateConnection. |
description |
Optional. The description of the GoldengateConnection. |
connectionType |
Required. The connection type. |
Union field connection_details. The connection details. connection_details can be only one of the following: |
|
oracleConnectionProperties |
Properties for an Oracle Database connection. |
goldengateConnectionProperties |
Properties for a Goldengate connection. |
genericConnectionProperties |
Properties for a Generic connection. |
googleCloudStorageConnectionProperties |
Properties for a Google Cloud Storage connection. |
googleBigQueryConnectionProperties |
Properties for a Google BigQuery connection. |
mysqlConnectionProperties |
Properties for a MySQL connection. |
kafkaConnectionProperties |
Properties for a Kafka connection. |
kafkaSchemaRegistryConnectionProperties |
Properties for a Kafka Schema Registry connection. |
ociObjectStorageConnectionProperties |
Properties for an OCI Object Storage connection. |
azureDataLakeStorageConnectionProperties |
Properties for an Azure Data Lake Storage connection. |
azureSynapseAnalyticsConnectionProperties |
Properties for an Azure Synapse Analytics connection. |
postgresqlConnectionProperties |
Properties for a PostgreSQL connection. |
microsoftSqlserverConnectionProperties |
Properties for a Microsoft SQL Server connection. |
amazonS3ConnectionProperties |
Properties for an Amazon S3 connection. |
hdfsConnectionProperties |
Properties for an HDFS connection. |
javaMessageServiceConnectionProperties |
Properties for a Java Message Service connection. |
mongodbConnectionProperties |
Properties for a MongoDB connection. |
oracleNosqlConnectionProperties |
Properties for an Oracle NoSQL connection. |
snowflakeConnectionProperties |
Properties for a Snowflake connection. |
amazonRedshiftConnectionProperties |
Properties for an Amazon Redshift connection. |
elasticsearchConnectionProperties |
Properties for an Elasticsearch connection. |
amazonKinesisConnectionProperties |
Properties for an Amazon Kinesis connection. |
db2ConnectionProperties |
Properties for a DB2 connection. |
redisConnectionProperties |
Properties for a Redis connection. |
databricksConnectionProperties |
Properties for a Databricks connection. |
googlePubsubConnectionProperties |
Properties for a Google Pub/Sub connection. |
microsoftFabricConnectionProperties |
Properties for a Microsoft Fabric connection. |
oracleAiDataPlatformConnectionProperties |
Properties for an Oracle AI Data Platform connection. |
icebergConnectionProperties |
Properties for an Iceberg connection. |
GoldengateOracleConnectionProperties
| JSON representation |
|---|
{ "username": string, "passwordSecretVersion": string, "connectionString": string } |
| Fields | |
|---|---|
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
connectionString |
Connection string. |
GoldengateGoldengateConnectionProperties
| JSON representation |
|---|
{ "username": string, "passwordSecretVersion": string, "url": string } |
| Fields | |
|---|---|
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
url |
URL for the connection. |
GoldengateGenericConnectionProperties
| JSON representation |
|---|
{ "host": string } |
| Fields | |
|---|---|
host |
Host for the connection. |
GoldengateMysqlConnectionProperties
| JSON representation |
|---|
{ "username": string, "passwordSecretVersion": string, "host": string, "port": integer, "databaseName": string } |
| Fields | |
|---|---|
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
host |
Host for the connection. |
port |
Port for the connection. |
databaseName |
Database name. |
GoldengateKafkaConnectionProperties
| JSON representation |
|---|
{ "bootstrapServers": [ string ] } |
| Fields | |
|---|---|
bootstrapServers[] |
Bootstrap servers. |
GoldengateKafkaSchemaRegistryConnectionProperties
| JSON representation |
|---|
{ "url": string } |
| Fields | |
|---|---|
url |
Schema registry URL. |
GoldengateOciObjectStorageConnectionProperties
| JSON representation |
|---|
{ "tenancyId": string, "region": string, "userId": string } |
| Fields | |
|---|---|
tenancyId |
Tenancy ID. |
region |
Region. |
userId |
User ID. |
GoldengateAzureDataLakeStorageConnectionProperties
| JSON representation |
|---|
{ "accountName": string } |
| Fields | |
|---|---|
accountName |
Account name. |
GoldengateAzureSynapseAnalyticsConnectionProperties
| JSON representation |
|---|
{ "connectionString": string } |
| Fields | |
|---|---|
connectionString |
Connection string. |
GoldengatePostgresqlConnectionProperties
| JSON representation |
|---|
{ "username": string, "passwordSecretVersion": string, "host": string, "port": integer, "databaseName": string } |
| Fields | |
|---|---|
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
host |
Host for the connection. |
port |
Port for the connection. |
databaseName |
Database name. |
GoldengateMicrosoftSqlserverConnectionProperties
| JSON representation |
|---|
{ "username": string, "passwordSecretVersion": string, "host": string, "port": integer, "databaseName": string } |
| Fields | |
|---|---|
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
host |
Host for the connection. |
port |
Port for the connection. |
databaseName |
Database name. |
GoldengateMongodbConnectionProperties
| JSON representation |
|---|
{ "connectionString": string } |
| Fields | |
|---|---|
connectionString |
Connection string. |
GoldengateSnowflakeConnectionProperties
| JSON representation |
|---|
{ "connectionUrl": string, "username": string, "passwordSecretVersion": string, "role": string, "warehouse": string } |
| Fields | |
|---|---|
connectionUrl |
Connection URL. |
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
role |
Role. |
warehouse |
Warehouse. |
GoldengateAmazonRedshiftConnectionProperties
| JSON representation |
|---|
{ "connectionUrl": string, "username": string, "passwordSecretVersion": string } |
| Fields | |
|---|---|
connectionUrl |
Connection URL. |
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
GoldengateDb2ConnectionProperties
| JSON representation |
|---|
{ "username": string, "passwordSecretVersion": string, "host": string, "port": integer, "databaseName": string } |
| Fields | |
|---|---|
username |
Username for the connection. |
passwordSecretVersion |
Password for the connection. |
host |
Host for the connection. |
port |
Port for the connection. |
databaseName |
Database name. |
GoldengateDatabricksConnectionProperties
| JSON representation |
|---|
{ "connectionUrl": string } |
| Fields | |
|---|---|
connectionUrl |
Connection URL. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌